org.apache.lucene.search

## Interface FieldCache.LongParser

- All Superinterfaces:
    FieldCache.Parser, java.io.Serializable
  All Known Subinterfaces:
    ExtendedFieldCache.LongParser
  Enclosing interface:
    FieldCache

      public static interface FieldCache.LongParser
      extends FieldCache.Parser

  Interface to parse long from document fields.
  See Also:
    `FieldCache.getLongs(IndexReader, String, FieldCache.LongParser)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `parseLong(java.lang.String string)` Return an long representation of this field's value.

- - ### Method Detail

    - #### parseLong

          long parseLong(java.lang.String string)

      Return an long representation of this field's value.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.